#703 structure view collapses when opening a new .tex file -- bug or feature?

None
closed
nobody
1
2015-02-22
2014-05-08
Anonymous
No

Opening a new .tex-source file causes collapsing of structure view entirely (TXS 2.7.0; Win 7). Since there is no "expand really all" button (or menu), i.e. expanding the structures of all open files, I have to laboriously re-open the documents' structures file by file. I'd propose to leave the view in its existing state when opening another file, or (2nd best) add an "expand anything" button, e.g. next to the "x" in the header section of this panel (or maybe both?).

thx for providing & maintaining this great progam!

Related

Feature Requests: #703

Discussion

  • Jan  Sundermeyer

    Jan Sundermeyer - 2014-05-08

    Does not do so on Linux ...

    Am 08.05.2014 11:13, schrieb Ticket 703:


    *[feature-requests:#703]
    http://sourceforge.net/p/texstudio/feature-requests/703/ structure
    view collapses when opening a new .tex file -- bug or feature? *

    Status: open
    Group:
    Labels: structure view collapses - bug or feature?
    Created: Thu May 08, 2014 09:13 AM UTC by Anonymous
    Last Updated: Thu May 08, 2014 09:13 AM UTC
    Owner: nobody

    Opening a new .tex-source file causes collapsing of structure view
    entirely (TXS 2.7.0; Win 7). Since there is no "expand really all"
    button (or menu), i.e. expanding the structures of all open files, I
    have to laboriously re-open the documents' structures file by file. I'd
    propose to leave the view in its existing state when opening another
    file, or (2nd best) add an "expand anything" button, e.g. next to the
    "x" in the header section of this panel (or maybe both?).

    thx for providing & maintaining this great progam!


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/texstudio/feature-requests/703/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Feature Requests: #703

  • Tim Hoffmann

    Tim Hoffmann - 2014-05-08

    Tested on Win7 + TXS 2.7.0: works here.

    • How do you open the file? Menu -> Open / Menu -> OpenRecent / Drag&Drop?
    • What exactly collapses? (everything to the top-level, only the structure items, ...?)
     
  • Simon

    Simon - 2015-01-27

    Same here with TeXstudio 2.8.8 on Debian 7.

    Happens when clicking on subelements linked via \input(<File>) which are not loaded yet.

     
  • Tim Hoffmann

    Tim Hoffmann - 2015-02-22

    fixed: hg 4939 (81f7dccb994d)

     
  • Tim Hoffmann

    Tim Hoffmann - 2015-02-22
    • status: open --> closed
    • Group: -->
     

Log in to post a comment.